
QGIS Application - Bug report #17709

Rule edition window too big for small screen (not resizable)

2017-12-17 10:56 AM - Loïc L'Anton

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25606

Description

I'm using QGIS on a 19 inches screen, resolution 1360x766. When I open the rule edition window I'm unable to reach the OK button

because that window is taller than my screen. The window is not resizable on the "y axis". The only way I've found to click "OK" is to hide

the windows taskbar.

Associated revisions

Revision 5162c468 - 2018-01-18 10:39 AM - Alexander Bruy

put rule editor widgest inside a QScrollArea to make dialog resizeable

(fix #17709)

Revision 67ae36c4 - 2018-01-19 07:33 AM - Alexander Bruy

Merge pull request #6097 from alexbruy/rule-editor-ui

make rule editor dialog resizeable (fix #17709)

History

#1 - 2018-01-19 07:33 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|5162c4687173567735a8a25074ea7237b5dc9378.

#2 - 2018-02-22 11:14 AM - Giovanni Manghi

- Resolution set to fixed/implemented
